Get document symbols
POST /v1/sandbox/{sandboxID}/lsp/document-symbols
Request all symbols (functions, classes, variables) in a document.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
Example
pythonExample
/home/user/projectExample
file:///home/user/project/main.pyResponses
Section titled “ Responses ”JSON-RPC 2.0 response from the language server.
JSON-RPC 2.0 response envelope returned by LSP request endpoints.
object
Method-specific success payload.
object
JSON-RPC error code.
Example
-32602Human-readable error message.
Example
Invalid paramsOptional method-specific error data.
JSON-RPC 2.0 response envelope returned by LSP request endpoints.
object
Method-specific success payload.
object
JSON-RPC error code.
Example
-32602Human-readable error message.
Example
Invalid paramsOptional method-specific error data.
Bad request – validation error.
object
Summary message, e.g. “Invalid request”.
object
JSON field name that failed validation (e.g. “path”, “command”).
Human-readable description of the validation failure.
Unauthorized – invalid or missing API key.
object
Human-readable error message.